[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIDEAEncryptStream.Seek

Set stream position

## Declaration

Source position: idea.pp line 98

`public function TIDEAEncryptStream.Seek(`
`Offset: LongInt;`
`Origin: Word`
`):LongInt; override;`

## Arguments

`Offset` |  | Number of bytes to move stream pointer
`Origin` |  | Where to move stream pointer from

## Function result

New location after seek operation

## Description

Seek return the current position if called with 0 and soFromCurrent as arguments. With all other values, it will always raise an exception, since it is impossible to set the position on an encryption stream.

## Errors

An EIDEAError will be raised unless called with 0 and soFromCurrent as arguments.

## See also

Write |  | Write bytes to the stream to be encrypted
EIDEAError |  | Exception for IDEA Stream errors.

Documentation generated on: Feb 26 2014